var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { VegaSlimmer, MapToComponentField } from 'vega-slimmer/core';
import { h } from '@stencil/core';
import { VegaTableExpandRowController } from '../../../slimmers/controllers/vega-table-expand-row-controller';
export class VegaTableExpandRowRenderer extends VegaSlimmer {
  render() {
    return (h("tr", { class: {
        'vega-table-expanded-row': true,
        'expanded': this.expanded,
        'checked': this.checked,
        'striped': this.striped,
      }, key: `vega-table-expanded-row-${this.rowKey}`, "data-expanded-row-key": this.rowKey },
      h("td", null),
      h("td", { colSpan: this.colSpan, key: `${VegaTableExpandRowController.expandRowSlotNamePrefix}${this.rowKey}`, class: "vega-table-expanded-row-slot-container" },
        h("div", { class: "expanded-row-slot-inner" },
          h("slot", null))),
      h("td", null)));
  }
}
__decorate([
  MapToComponentField()
], VegaTableExpandRowRenderer.prototype, "host", void 0);
__decorate([
  MapToComponentField()
], VegaTableExpandRowRenderer.prototype, "rowKey", void 0);
__decorate([
  MapToComponentField()
], VegaTableExpandRowRenderer.prototype, "expanded", void 0);
__decorate([
  MapToComponentField()
], VegaTableExpandRowRenderer.prototype, "checked", void 0);
__decorate([
  MapToComponentField()
], VegaTableExpandRowRenderer.prototype, "colSpan", void 0);
__decorate([
  MapToComponentField()
], VegaTableExpandRowRenderer.prototype, "striped", void 0);
